!表題  gt4_history Fortran 77 用インターフェース
!
!履歴  2000/12/26  竹広真一
!      2001/02/27  竹広真一  サブルーチン毎のファイルに分割
!
!  サブルーチン対応表
!     HistoryCreate                HSCREA
!
subroutine hscrea(fname,title,source,institution,  &
                  idim,dims,dimsiz,xtypes,longnames,units, &
                  origin,interval )

    use gt4_history
    implicit none

    character(len=*)              :: fname           ! 出力ファイル
    character(len=*)              :: title           ! タイトル
    character(len=*)              :: source          ! タイトル
    character(len=*)              :: institution     ! タイトル
    integer                       :: idim            ! 定義する軸変数の数
    character(len=1),dimension(idim)   :: dims            ! 軸変数名
    integer,dimension(idim)       :: dimsiz          ! 軸変数の大きさ
    character(len=*),dimension(idim) :: xtypes          ! 軸変数のタイプ
    character(len=*),dimension(idim) :: longnames       ! 軸変数の長い名前
    character(len=*),dimension(idim) :: units           ! 単位
    real                          :: origin          ! 開始時間
    real                          :: interval        ! 出力時間間隔

    call HistoryCreate(                              &
         file=fname, title=title,                    &
         source=source, institution=institution,     &
         dims=dims, dimsizes=dimsiz, xtypes=xtypes,  &
         longnames=longnames, units=units,           &
         origin=origin, interval=interval            &
         )

  end subroutine hscrea
